1

Hi I am having trouble getting the SAGA hydrology toolbox running. Here when I try to fill sinks in the DEM a series of errors are flagged in the log file. This includes for 'select a library', 'DEM' and 'input file'. Load grid also fails (see log file below).

I'm using SAGA 2.3.2 and QGIS 3.4.3


Processing algorithm…
Algorithm 'Fill sinks' starting…
Input parameters:
{ 'DEM' : 'C:/Users/cbroderick/Downloads/srtm_35_02_ASCII/srtm_35_02.asc', 'MINSLOPE' : 0.01, 'RESULT' : 'C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/5ba9f4f078044c1bae470dfcd5f06f6e/RESULT.sdat' }

io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/4d7bb3df467f4247aa6359cb5b93f904/srtm3502.sgrd" -FILES "C:\Users\cbroderick\Downloads\srtm_35_02_ASCII\srtm_35_02.asc"
ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM "C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/4d7bb3df467f4247aa6359cb5b93f904/srtm3502.sgrd" -MINSLOPE 0.01 -RESULT "C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/5ba9f4f078044c1bae470dfcd5f06f6e/RESULT.sdat"

C:\WINDOWS\system32>set SAGA=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr

C:\WINDOWS\system32>set SAGA_MLB=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

C:\WINDOWS\system32>PATH=C:\PROGRA~1\QGIS3~1.4\apps\qgis\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python37;C:\PROGRA~1\QGIS3~1.4\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.4\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.4\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy\.libs;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

C:\WINDOWS\system32>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/4d7bb3df467f4247aa6359cb5b93f904/srtm3502.sgrd" -FILES "C:\Users\cbroderick\Downloads\srtm_35_02_ASCII\srtm_35_02.asc"
Error: select a library
____________________________

##### ## ##### ##
### ### ## ###
### # ## ## #### # ##
### ##### ## # #####
##### # ## ##### # ##
____________________________

SAGA Version: 2.3.2 (64 bit)


68 loaded tool libraries (630 tools):
- climate_tools
- contrib_perego
- db_odbc
- db_pgsql
- docs_html
- garden_3d_viewer
- garden_fractals
- garden_games
- garden_learn_to_program
- garden_webservices
- grid_analysis
- grid_calculus
- grid_calculus_bsl
- grid_filter
- grid_gridding
- grid_spline
- grid_tools
- grid_visualisation
- imagery_classification
- imagery_isocluster
- imagery_maxent
- imagery_photogrammetry
- imagery_segmentation
- imagery_svm
- imagery_tools
- io_esri_e00
- io_gps
- io_grid
- io_grid_image
- io_shapes
- io_shapes_dxf
- io_table
- io_virtual
- pj_georeference
- pj_geotrans
- pj_proj4
- pointcloud_tools
- pointcloud_viewer
- shapes_grid
- shapes_lines
- shapes_points
- shapes_polygons
- shapes_tools
- shapes_transect
- sim_cellular_automata
- sim_ecosystems_hugget
- sim_erosion
- sim_fire_spreading
- sim_hydrology
- sim_ihacres
- sim_qm_of_esp
- sim_rivflow
- statistics_grid
- statistics_kriging
- statistics_points
- statistics_regression
- ta_channels
- ta_compound
- ta_hydrology
- ta_lighting
- ta_morphometry
- ta_preprocessor
- ta_profiles
- ta_slope_stability
- table_calculus
- table_tools
- tin_tools
- tin_viewer

type -h or --help for further information


C:\WINDOWS\system32>saga_cmd ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM "C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/4d7bb3df467f4247aa6359cb5b93f904/srtm3502.sgrd" -MINSLOPE 0.01 -RESULT "C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/5ba9f4f078044c1bae470dfcd5f06f6e/RESULT.sdat"
Error: input file [C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/4d7bb3df467f4247aa6359cb5b93f904/srtm3502.sgrd]
Error: DEM
____________________________

##### ## ##### ##
### ### ## ###
### # ## ## #### # ##
### ##### ## # #####
##### # ## ##### # ##
____________________________

SAGA Version: 2.3.2 (64 bit)

____________________________
library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
library name: ta_preprocessor
library : Preprocessing
tool : Fill Sinks (Planchon/Darboux, 2001)
author : Copyrights (c) 2003 by Volker Wichmann
processors : 4 [4]
____________________________

Load grid: C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/4d7bb3df467f4247aa6359cb5b93f904/srtm3502.sgrd...
failed

Usage: saga_cmd ta_preprocessor 3 [-DEM <str>] [-RESULT <str>] [-MINSLOPE <double>]
-DEM:<str> DEM
Grid (input)
-RESULT:<str> Filled DEM
Grid (output)
-MINSLOPE:<double> Minimum Slope [Degree]
Floating point
Minimum: 0.000000
Default: 0.010000

C:\WINDOWS\system32>exit
Execution completed in 13.51 seconds
Results:
{'RESULT': 'C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/5ba9f4f078044c1bae470dfcd5f06f6e/RESULT.sdat'}

Loading resulting layers
The following layers were not correctly generated.<ul><li>C:/Users/cbroderick/AppData/Local/Temp/processing_f1fe9d24ac6c4b08972f8ddd5f612ef7/5ba9f4f078044c1bae470dfcd5f06f6e/RESULT.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.
  • Welcome to GIS SE! As a new user, please be sure to take the short tour to learn about this site's focused Q&A format. Then edit your question to focus on a minimal, complete, verifiable example of the error you're seeing. – Andy Jan 29 at 16:16
  • 1
    This error was already reported and fixed in version 2.3.2-4 of the saga-ltr package. – Gabriel De Luca Jan 31 at 6:08
1

The version of the saga-ltr package compiled in the stand-alone installer of QGIS 3.4.3 has that bug. It can't read the io_gdal library.

This specific bug was already fixed in version 2.3.2-4 of that package.

Also you will have some other important issues in that version. Many of that already fixed too.

I do not know how to update the package in the stand-alone version.


I recommend you perform a complete uninstall (this includes removing registry keys and the C:\Users\YourUser\AppData\Roamming (and Local)\QGIS 3.4 folders after uninstalling), and using the OSGeo4W Network installer instead.

When a new version of a package comes out, it may be possible that it has some issue, errors that are reported and corrected in the following days, but that the stand-alone installer does not allow or becomes quite complicated to repair.

With the Network installer you can perform a basic installation first, of QGIS, GRASS and SAGA, and then periodically run the Setup tool in advanced mode to keep all the packages updated. The same as installing or uninstalling specific packages quite easily.

It is true that one sometimes finds a problem that is difficult to solve, and would rather have kept QGIS 3.2 working somewhere, for example. It is the disadvantage of staying updated. Also take my advice as what it is, and decide whether to take it or let it go.

  • Hi Gabriel, many thanks for your help. I will try installing QGIS and SAGA using the OSGeo4W Network installer. – Ciaran Broderick Jan 31 at 9:27
  • Hi Ciaran, you are welcome. Success! – Gabriel De Luca Jan 31 at 12:37
  • @CiaranBroderick please accept this answer if it solved your issue – underdark Mar 2 at 9:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.